Class List Method List File List

# Class: Concurrent::Edge::LockFreeLinkedSet::Head

Inherits:
  Node
  - Object
  - Synchronization::Object
  - Node
  - Concurrent::Edge::LockFreeLinkedSet::Head
  show all
Defined in:
  lib/concurrent/edge/lock_free_linked_set/node.rb

## Overview

Internal sentinel node for the Head of the set. Head is always smaller than any other node.

## Instance Method Summary (collapse)

- - (undocumented) <=>(_other)

## Constructor Details

This class inherits a constructor from Concurrent::Edge::LockFreeLinkedSet::Node

## Instance Method Details

### - (`undocumented`) <=>(_other)

    75
    76
    77

    # File 'lib/concurrent/edge/lock_free_linked_set/node.rb', line 75

    def <=>(_other)
      -1
    end